{Copyright (c) 2005 Jahény Benoît. Ce fichier fait partie de MultiConfig.

MultiConfig est un logiciel libre; vous pouvez le redistribuer et/ou le modifier 
selon les termes de la GNU General Public License (Licence Publique Générale GNU) 
telle qu'elle a été publiée par la Free Software Foundation


MultiConfig est distribué dans l'espoir qu'il sera utile, mais SANS LA MOINDRE GARANTIE; 
pas même la garantie implicite de COMMERCIABILITE ou d'ADEQUATION A UN BUT PARTICULIER.
Voir la GNU General Public License pour plus de détails.

Vous devriez avoir reçu une copie de la GNU General Public License en même temps que ce programme; 
sinon, merci d'écrire à la Free Software Foundation, Inc, 59 Temple Place, Suite 330, Boston, MA02111-1307 USA.

Vous devez respecter la GNU General Public License à tous les égards pour tout code utilisé. 
Si vous modifiez ce fichier, vous pouvez étendre cette exception à votre version du fichier, 
mais n'êtes pas obligé de le faire. Si vous ne souhaitez pas le faire, supprimez cette déclaration 
l'exception de votre version.}
unit About;

interface

uses Windows, messages, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
   ExtCtrls, LabelLien, Variants, Dialogs, ComCtrls, FileCtrl, Spin, Buttons, ShellApi, iniFiles,
  Menus, WinHelpViewer, XPMan, DKLang;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    LabelLien1: TLabelLien;
    LabelLien2: TLabelLien;
    XPManifest1: TXPManifest;
    DKLanguageController1: TDKLanguageController;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}


procedure TAboutBox.FormCreate(Sender: TObject);
begin
ProgramIcon.Picture.Bitmap.LoadFromResourceName(hInstance,'fond');
end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
 AboutBox.Hide;
end;

end.
 
